Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<CreatableItem(False)> _
<NavigationItem(False)> _
Public Class SubcontractorWorksheetType
    Inherits BaseObject

    Private _Subcontractor As Subcontractor
    Private _WorkSheetType As WorkSheetType

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("Subcontractor-SubcontractorWorksheetType", GetType(Subcontractor))> _
    Property Subcontractor As Subcontractor
        Get
            Return _Subcontractor
        End Get
        Set(value As Subcontractor)
            SetPropertyValue("Subcontractor", _Subcontractor, value)
        End Set
    End Property
    Property WorkSheetType As WorkSheetType
        Get
            Return _WorkSheetType
        End Get
        Set(value As WorkSheetType)
            SetPropertyValue("WorkSheetType", _WorkSheetType, value)
        End Set
    End Property
End Class
